GET /v1/Workspaces/{WorkspaceSid}/Workers

twilio.com:twilio_taskrouter_v1

Summary:
Operation ID: ListWorker
Auth: unknown

Parameters (12)

ActivityName (string, query, optional)

The `activity_name` of the Worker resources to read.

ActivitySid (string, query, optional)

The `activity_sid` of the Worker resources to read.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WA[0-9a-fA-F]{32}$'}

Available (string, query, optional)

Whether to return only Worker resources that are available or unavailable. Can be `true`, `1`, or `yes` to return Worker resources that are available, and `false`, or any value returns the Worker resources that are not available.

FriendlyName (string, query, optional)

The `friendly_name` of the Worker resources to read.

Ordering (string, query, optional)

Sorting parameter for Workers

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

TargetWorkersExpression (string, query, optional)

Filter by Workers that would match an expression. In addition to fields in the workers' attributes, the expression can include the following worker fields: `sid`, `friendly_name`, `activity_sid`, or `activity_name`

TaskQueueName (string, query, optional)

The `friendly_name` of the TaskQueue that the Workers to read are eligible for.

TaskQueueSid (string, query, optional)

The SID of the TaskQueue that the Workers to read are eligible for.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WQ[0-9a-fA-F]{32}$'}

WorkspaceSid (string, path, required)

The SID of the Workspace with the Workers to read.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WS[0-9a-fA-F]{32}$'}

No probe data for this endpoint yet.